## org.hibernate.event.spi
Interface InitializeCollectionEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultInitializeCollectionEventListener

    public interface InitializeCollectionEventListener

extends Serializable

Defines the contract for handling of collection initialization events generated by a session.

Method Summary
`void` `onInitializeCollection(InitializeCollectionEvent event)`

Method Detail

### onInitializeCollection

    void onInitializeCollection(InitializeCollectionEvent event)
                                throws HibernateException

  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.